EndpointsRoutes

Get a user's public routes

Returns the public Routes owned by the given user. Excludes private and unlisted routes.

GET
/routes/by-user/{userId}

Path Parameters

userId*number

Owner user ID

Response Body

application/json
  1. response
[index: integer]?
curl -X GET 'https://api.routess.com/routes/by-user/0'
[  {    "id": 0,    "name": "string",    "description": "string",    "activity": "run",    "visibility": "private",    "tags": [      "string"    ],    "favourite": true,    "waypoints": [      {        "coord": [          -74.006,          40.7128        ],        "type": "routed",        "name": "string",        "timestamp": "string"      }    ],    "geometry": [      "string"    ],    "distance": 0,    "duration": 0,    "elevationGain": 0,    "startAddress": "string",    "endAddress": "string",    "placeCity": "string",    "placeRegion": "string",    "placeCountryCode": "string",    "routingPreferences": {      "surfacePreference": "mixed",      "avoidFerries": true,      "avoidHighways": true    },    "provenance": "valhalla",    "shareToken": "9f86d081884c7d659a2feaa0c55ad015",    "user": {      "id": 1,      "name": "Jane Doe",      "handle": "jane-doe",      "avatar": "https://example.com/avatar.jpg",      "idHash": "9f86d081884c7d659a2feaa0c55ad015a3bf4f1b2b0b822cd15d6c15b0f00a08"    },    "createdAt": "string",    "updatedAt": "string"  }]